org.eclipse.emf.cdo.common.revision

## Interface CDOAllRevisionsProvider

- All Known Subinterfaces:
    IMEMStore, IMEMStore, InternalCDORevisionCache

      public interface CDOAllRevisionsProvider

  Provides consumers with all `revisions` available in an instance of this interface.
  Since:
    3.0
  Author:
    Eike Stepper
  Apiviz

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<CDOBranch,List<CDORevision>>` | `getAllRevisions()`

- - ### Method Detail

    - #### getAllRevisions

          Map<CDOBranch,List<CDORevision>> getAllRevisions()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html